#!/bin/bash

# usage: $0 [ -L PANDOC_OPTIONS ]

source "${BASH_SOURCE%/*}/shared.sh"
# @vim@ filter the current line with our tidy config + indent
# .!sh -c ". \"%:h/../builder/setup_tidy.sh\"; tidy \$tidy_options --indent yes --indent-spaces 1"

export mdview_markdown
export mdview_max_atx_level
export mdview_insert_line_before_atx12
export mdview_can_jump_to_anchor

show_AST html \
'<h1 id="ID-H1">Left <img alt="ALT" src="IMG"> Right</h1>' 1 "$@" &

show_AST html \
'<h4>ATX 4 <em>test</em></h4>' 2 "$@" &

show_AST html \
'<h4>ATX 4 <em>test</em></h4>' 2+FILTER -L "${0%/*}/../builder/pandoc_header.lua" "$@" &

# in prep_html5 output format
show_AST html '<!DOCTYPE html>
<html>
<head>
<title></title>
</head>
<body>
<h1><img alt="logo" src="img/fatdog.png" height="100"><small>Kernel thread eats 100% CPU</small></h1>
</body>
</html>
' 3 "$@" &

