# This file is sourced, not run

# shared funtions

export LUA_PATH="${0%/*}/../builder/?.lua;;"

. "${0%/*}/../builder/quirks.sh" # set mdview_markdown
mdview_markdown="${MDVIEW_MARKDOWN:-$mdview_markdown}"
: ${mdview_markdown:?}

stringify () { # $1-pandoc_from_format $2-input_from_text [$3-user's-data(int)]
	local Type=${0##*/}; Type=${Type%.*}
	local filter="/tmp/$Type.lua"

	echo > "$filter" "\
function $Type (el)
	return pandoc.RawInline('$mdview_markdown', '»'..pandoc.utils.stringify(el)..'«')
end"
	"$@" -L "$filter"
}

show_AST () { # $1-pandoc_from_format $2-input_from_text [$3-user's-data(int) [$4@-pandoc_options]]
	local P="/usr/bin/pandoc --from ${1:?} --to" S="${2:?}" C="$3" OPTS T X Y
	if [ $# -gt 3 ]; then shift 3; else shift $#; fi
	T="${0##*/}"; T="${T%.*}${C:+" $C"}"
	X="$((400 + 30 * (C - 1)))" Y="$((200 + 30 * ($C - 1)))"
	{
	echo "$S" |
	tee >(echo >&2 $'\n@INPUT@\n'            "$(cat)") |
	tee >(echo >&2 $'\n@NATIVE@\n'           "$($P native "$@")") |
	tee >(echo >&2 $'\n@MD_PANDOC@\n'        "$($P markdown "$@")") |
	tee >(echo >&2 $'\n@$mdview_markdown@\n' "$($P $mdview_markdown "$@" | tee "/tmp/$T.md")") |
	tee >(echo >&2 $'\n↑stringify↑\n'        "$(stringify $P $mdview_markdown "$@")") > /dev/null
	} 2>&1 |
	if [ -t 1 ]
	then cat
	else
		yad --title="$T" --posx=$X --posy=$Y --width=800 --height=400 --text-info &
		pid_yad=$!
		sleep 0.3
		mdview "/tmp/$T.md" "" "$T"
		wait $pid_yad
	fi
}
