# This file is sourced, not run

# black-box tests for ihtml_to_md.sh

# test numbers refer to numbered "case"s in ./setup_pandoc.sh

# case 1: pandoc_block.lua (nopot)
# 1.1 %%nopot around <li>
# 1.2 %%nopot around <p>
# <pre class="mdview-gettext">
# ~~~~~
# 901: FIXME 1.1 1.2
# ~~~~~
printf '%s\n' \
'<!DOCTYPE html>
<html><head><title>test</title></head><body>' \
	'1.1 expect %%nopot before and after the bullet list' \
	'<ul class="mdview-nopot">' \
	'	<li> not to be' \
	'	</li><li> translated' \
	'</li></ul>' \
'<br>' \
	'1.2 expect %%nopot before and after the next paragraph' \
	'<p class="mdview-nopot">Not to be translated</p>' \
'</body></html>
' \
	> "$in_dir/aaa_test_001.html"

# case 2: pandoc_codeblock.lua
# 2.1 <pre> as fenced code block
# 2.2 <pre class="..."> as indented code block
# 2.3 <pre class="mdview-gettext"> as fenced gettext code block
# PASS 2.1 2.2 2.3
printf '%s\n' \
'<!DOCTYPE html>
<html><head><title>test</title></head><body>' \
	'2.1 expect bare fenced code block indented with \t' \
	'<pre>' \
	'	preformatted' \
	'		**text**' \
	'</pre>' \
	'2.2 expect traditional, indented code block indented with 4-spaces followed by the original indentation (\t)' \
	'<pre class="classy">' \
	'	preformatted' \
	'		**text**' \
	'</pre>' \
	'2.3 expect gettext fenced code block indented with \t' \
	'<pre class="mdview-gettext">' \
	'	preformatted' \
	'		**text**' \
	'</pre>' \
'</body></html>
' \
	> "$in_dir/aaa_test_002.html"

### case 3: pandoc markdown_strict+pipe_tables
# 3.1 simple <table> as pipe table
# FIXME 3.1 not a pipe table
printf '%s\n' \
'<!DOCTYPE html>
<html><head><title>test</title></head><body>' \
	'3.1 expect pipe table; can mdview render it?' \
	'<table>' \
	'	<tr>' \
	'		<th>column 1' \
	'		</th><th>column 2' \
	'		</th>' \
	'	</tr><tr>' \
	'		<td>r1c1' \
	'		</td><td>r1c2' \
	'		</td>' \
	'	</tr><tr>' \
	'		<td>r2c1' \
	'		</td><td>r2c2' \
	'		</td>' \
	'	</tr>' \
	'</table>' \
'</body></html>
' \
	> "$in_dir/aaa_test_003.html"

### case 4: pandoc_table.lua
# 4.1 unwrap complex table into a sequence of markdown text blocks
# PASS 4.1
printf '%s\n' \
'<!DOCTYPE html>
<html><head><title>test</title></head><body>' \
	'4.1 expect an unwrapped table = list of text blocks obtained by unwrapping a complex table' \
	'<table>' \
	'	<tr>' \
	'		<th>column 1 has DIVs' \
	'		</th><th>column 2' \
	'		</th>' \
	'	</tr><tr>' \
	'		<td><div>DIV r1c1</div>' \
	'		</td><td>r1c2' \
	'		</td>' \
	'	</tr><tr>' \
	'		<td><div>DIV r2c1</div>' \
	'		</td><td>r2c2' \
	'		</td>' \
	'	</tr>' \
	'</table>' \
'</body></html>
' \
	> "$in_dir/aaa_test_004.html"

### case 0: pandoc_table.lua
# 0.1 unwrap table similar to 3.1 but including DIVs in some cells
# FIXME 0.1 - not a pipe table
# PASS 0.2
printf '%s\n' \
'<!DOCTYPE html>
<html><head><title>test</title></head><body>' \
	'0.1 expect pipe table' \
	'<table>' \
	'	<tr>' \
	`# '		<th>column 1 has DIVs'` \
	`# '		</th><th>column 2'` \
	`# '		</th>'` \
	`# '	</tr><tr>'` \
	'		<td>r1c1' \
	'		</td><td>r1c2' \
	'		</td>' \
	`# '	</tr><tr>'` \
	`# '		<td><div>DIV r2c1</div>'` \
	`# '		</td><td>r2c2'` \
	'	</tr>' \
	'</table>' \
'</body></html>
' \
'<!DOCTYPE html>
<html><head><title>test</title></head><body>' \
	'0.2 expect unwrapped table with stringified divs' \
	'<table>' \
	'	<tr>' \
	`# '		<th>column 1 has DIVs'` \
	`# '		</th><th>column 2'` \
	`# '		</th>'` \
	`# '	</tr><tr>'` \
	'		<td><div>DIV R1C1</div>' \
	`# '		</td><td>R1C2'` \
	'		</td>' \
	`# '	</tr><tr>'` \
	`# '		<td><div>DIV R2C1</div>'` \
	`# '		</td><td>R2C2'` \
	'	</tr>' \
	'</table>' \
'</body></html>
' \
	> "$in_dir/aaa_test_000.html"

