#!/usr/bin/gawk -f

# ihtml_to_md_pre.gawk - pre-process pandoc markdown for ihtml_to_md.gawk
# Copyright (C) step, 2023
# License GPL2

# usage: [env AWKPATH=this_dir] gawk -f this_file      (stdin/stdout filter)
# stdin is pandoc markdown_strict
# stdout is pandoc markdown_strict

#
# This script performs multi-line pattern edits
#

@include "shared.gawk"

BEGIN {
	RS = "$ " # a\yb
	getline S
}

# --------------------------------------------------------------------------- #

### Apply hints from html5_to_ihtml.gawk, aka HTM, various hints

BEGIN {
	# HTM de-indent until next list item

	while(gsub(/%IHTMLdeindent%\n/, "%IHTMLdeindent%", S))
		;
	while(gsub(/ +%IHTMLdeindent%/,  "%IHTMLdeindent%", S))
		;
	while(gsub(/%IHTMLdeindent% +/,  "%IHTMLdeindent%", S))
		;
	# Finally ihtml_to_md.gawk will resolve the remaining %IHTMLbr%

	# HTM squeeze white-spaced <br>s to a \n

	while(gsub(/([\n \t]*%IHTMLbr%[\n \t]*){2,}/, "%IHTMLbr%", S))
		;
	# <br> before list item
	while (match(S, /%IHTMLbr% ?([- ] {3})/, a))
		S = substr(S, 1, RSTART - 1) ("  \n" a[1]) substr(S, RSTART + RLENGTH)

	# remaining <br>
	gsub(/%IHTMLbr% ?/, "\n\n", S)


	printf "%s", S
}

