-- always output <pre> content as fenced code blocks
-- support `class="gettext"` for mdview %%nopot extension

-- local log = require 'logging'; log = log.temp
local my  = require 'shared'
local mdview_enable_gettext_support = os.getenv 'mdview_enable_gettext_support' == '1'
local mdview_markdown = my.get_mdview_markdown()

local fenced_fallback = '```\n%s\n```\n'
local fenced_gettext = '```gettext\n%s\n```\n'

function CodeBlock (elem)
	if mdview_enable_gettext_support
		and elem.classes
		and my.remove_all(elem.classes, 'mdview-gettext') > 0
	then
		return pandoc.RawBlock(mdview_markdown, fenced_gettext:format(elem.text))
	end
	-- use pandoc's default behavior if the block has other classes or attributes
	 if elem.classes[1] or elem.attributes[1] then
		return nil
	end
	-- fall back to bare fenced block -- this is NOT pandoc's default fall-back
	return pandoc.RawBlock(mdview_markdown, fenced_fallback:format(elem.text))
end

