-- Rewrite a complex table as a list of its cells' contents; visit cells by row.

-- ~~~~~
-- 900: this file is disable
-- ~~~~~

-------------------------------------------------------------------------------
local mdview_can_render_pipe_table = tonumber(os.getenv 'mdview_can_render_pipe_table')
if mdview_can_render_pipe_table > 0 then
-------------------------------------------------------------------------------

-- local log = require 'logging'; log = log.temp
local my = require 'shared'

function unwrapTable (tbl)
-- CAVEAT and TODO: function is not recursive!  Therefore Table in Table and
-- Block in Table becomes text, with possibly some HTML tags included.  This is
-- worked around in the various steps before step (N) of the conversion method.

-- --------- --
--  Method:  --
-- --------- --

-- (1) Convert all <img> tags to markdown images
-- Done by adding -L pandoc_image.lua before -L pandoc_table.lua to pandoc's options.

-- (N) https://stackoverflow.com/a/75461419 Convert the Table into a
-- SimpleTable, which has a header row (header) and multiple body rows
-- (rows). Iterate overs rows and accumulate each cell's Blocks list.

	local simpleTable = pandoc.utils.to_simple_table(tbl)
	local blocks = pandoc.Blocks{}
	for _, headercell in ipairs(simpleTable.header) do
		blocks:extend(headercell)
	end
	for _, row in ipairs(simpleTable.rows) do
		for _, cell in ipairs(row) do
			blocks:extend(cell)
		end
	end
	return blocks, false
end

function Table (tbl)
	return unwrapTable (tbl)
end

-------------------------------------------------------------------------------
end -- if mdview_can_render_pipe_table
-------------------------------------------------------------------------------
