# This file is sourced, not run

### mdview is evolving - its (lack of) features is tracked by $quirks

# $quirks is evaluated
quirks="\
mdview_markdown=markdown_strict       `# string pandoc's --to format that best matches mdview's hereby-extended features`
mdview_can_br_two_space_suffix=1      `# 0|1    mdview 2023.04.20`
mdview_can_jump_to_anchor=0           `# enum   0(no) 1(no but F.md#A opens F.md) 2(yes F.md#A opens F.md and jumps to #A)`
mdview_max_atx_level=3                `# uint   #, ## and ###, levels > 3 replaced with bold text because mdview can't render as a heading`
mdview_insert_line_before_atx12=1     `# 0|1    0(no) 1(change "#atx" to "# nbsp;\n#atx" for vertical spacing, same for "##atx")`
mdview_enable_gettext_support=1       `# 0|1    class="nopot" => %%nopot wrapper`
mdview_can_render_pipe_table=1        `# enum   0(no) 1(as a code block, mdview 2023.04.20) >1(future)`
mdview_pipe_table_cell_width=40       `# uint   in characters 0(unlimited) >0(if text length exceeds this value then unwrap the table) NOT USED`
mdview_max_olist_level=-1             `# int    -1(can't do <ol>) 0(unlimited) >0(max)`
mdview_max_ulist_level=8              `# int    maximum list depth after which mdview squashes bullets into a paragraph[1]`
"
# NOTES:
# ------
# [1] The correct value for mdview 2023.04 is `mdview_max_ulist_level=1`. So
# why is it 8 above? That's because ihtml_to_md.gawk implements a work-around
# to replace pandoc's bullet items with faux bullets that mdview can support
# with it's meager 1-level bullets. Coupling the work-around for unordered lists
# in html5_to_ihtml.gawk, we get multi-level, mixed <ul> and <ol> support for
# mdview markdown!

# --------------------------------------------------------------------------- #

# $quirks as shell variables
eval $quirks

# $quirks in awk -v options format
# -----------------------------------------
# REMINDER add +0 when using a value in awk
# -----------------------------------------
QUIRKS_AWK_V=""
for _p in $quirks; do QUIRKS_AWK_V="$QUIRKS_AWK_V -v$_p"; done
export QUIRKS_AWK_V
