# This file is sourced, not run

# Shared initialization code and functions

AWKPATH="${0%/*}"
export AWKPATH

die () { # $1-exit_status $2-text
	echo >&2 "${0##*/}: ${2:?}"
	exit ${1:?}
}

die_unless_in_dir_out_dir () { # $@
	: GLOBAL; in_dir="$1" out_dir="$2"

	if [ ":$1" = ":-h" -o ":$1" = ":--help" ]; then
		usage; exit 0
	fi
	if ! [ -d "$in_dir" -a -d "$out_dir" ] ||
		[ "$(realpath "$in_dir")" = "$(realpath "$out_dir")" ]
	then
		usage
		die 1 "args error: invalid or same INPUT_DIR or OUTPUT_DIR"
	fi
}

die_unless_some_file () { # $1-dir $2-file_ext
	local p dir ext
	dir="${1:?}" ext="${2:?}"

	for p in "$dir/"*."$ext"; do break; done
	case "$p" in *"*.$ext")
		die 1 "args error: found no *.$ext in INPUT_DIR" ;;
	esac
}

